summaryrefslogtreecommitdiffstats
path: root/office/gnucash-legacy/gnucash-legacy.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/gnucash-legacy/gnucash-legacy.SlackBuild')
-rw-r--r--office/gnucash-legacy/gnucash-legacy.SlackBuild163
1 files changed, 163 insertions, 0 deletions
diff --git a/office/gnucash-legacy/gnucash-legacy.SlackBuild b/office/gnucash-legacy/gnucash-legacy.SlackBuild
new file mode 100644
index 0000000000..c7e7923415
--- /dev/null
+++ b/office/gnucash-legacy/gnucash-legacy.SlackBuild
@@ -0,0 +1,163 @@
+#!/bin/sh
+
+# Slackware build script for gnucash-legacy
+
+# Copyright 2015 Trayan Denev, tdenev@gmail.com
+# This version Copyright 2018 Lenard Spencer <lspencer31@cfl.rr.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnucash-legacy
+SRCNAM=gnucash
+VERSION=${VERSION:-2.6.21}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# First, make sure a previous Gnucash installation is removed:
+if [ -e /usr/bin/gnucash ]; then
+ echo "A previous Gnucash installation has been found."
+ echo "Please remove it before running this script."
+ exit 1
+fi
+
+if [ "$DBI" = "yes" ]; then
+ DBIARGS="--enable-dbi --with-dbi-dbd-dir=/usr/lib${LIBDIRSUFFIX}/dbd/ "
+ echo " building with dbi enabled"
+ sleep 1
+else
+ DBIARGS="--disable-dbi "
+fi
+
+if [ "$OFX" = "yes" ]; then
+ OFXBANKING="--enable-ofx"
+ echo " building with OFX enabled"
+ sleep 1
+else
+ OFXBANKING="--disable-ofx"
+fi
+
+if [ "$AQ" = "yes" ]; then
+ AQBANKING="--enable-aqbanking"
+ echo " building with aqbanking enabled"
+ sleep 1
+else
+ AQBANKING="--disable-aqbanking"
+fi
+
+if [ "$WITHPYTHON" = "yes" ]; then
+ W_PYTHON="--enable-python"
+ echo " building with Python bindings enabled"
+ sleep 1
+else
+ W_PYTHON="--disable-python"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$SRCNAM-$VERSION \
+ $W_PYTHON \
+ $OFXBANKING \
+ $AQBANKING \
+ --disable-schemas-compile \
+ $DBIARGS \
+ --build=$ARCH-slackware-linux
+
+# --enable-register2 \ still not ready for prime time
+
+
+make
+make -j1 install DESTDIR=$PKG docdir=/usr/doc/$SRCNAM-$VERSION
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Don't clobber these
+mv $PKG/etc/gnucash/environment $PKG/etc/gnucash/environment.new
+mv $PKG/etc/gnucash/config $PKG/etc/gnucash/config.new
+
+mkdir -p $PKG/usr/doc/$SRCNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog DOCUMENTERS HACKING LICENSE NEWS README* TODO \
+ $PKG/usr/doc/$SRCNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$SRCNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}